## com.google.gwt.user.client
Interface EventListener

All Known Implementing Classes:
  AbsolutePanel, Anchor, Button, ButtonBase, CalendarView, CaptionPanel, CellPanel, CheckBox, ComplexPanel, Composite, CustomButton, DateBox, DatePicker, DeckPanel, DecoratedPopupPanel, DecoratedStackPanel, DecoratedTabBar, DecoratedTabPanel, DecoratorPanel, DefaultCalendarView, DefaultMonthSelector, DialogBox, DisclosurePanel, DockPanel, FileUpload, FlexTable, FlowPanel, FocusPanel, FocusWidget, FormPanel, Frame, Grid, Hidden, HorizontalPanel, HorizontalSplitPanel, HTML, HTMLPanel, HTMLTable, Hyperlink, Image, InlineHTML, InlineHyperlink, InlineLabel, Label, LazyPanel, ListBox, MenuBar, MonthSelector, NamedFrame, Panel, PasswordTextBox, PopupPanel, PushButton, RadioButton, RichTextArea, RootPanel, ScrollPanel, SimpleCheckBox, SimplePanel, SimpleRadioButton, StackPanel, SuggestBox, TabBar, TabPanel, TextArea, TextBox, TextBoxBase, ToggleButton, Tree, VerticalPanel, VerticalSplitPanel, Widget

    public interface EventListener

Receives low-level browser events. The implementer registers for DOM events using `DOM.setEventListener(Element, EventListener)`.

Only subclasses of `Widget` should attempt to listen to browser events.

Method Summary
`void` | `onBrowserEvent(Event event)` Fired whenever a browser event is received.

Method Detail

### onBrowserEvent

    void onBrowserEvent(Event event)

  Fired whenever a browser event is received.

  Parameters:
    `event` - the event received